# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
%bcond_with gcj_support
%bcond_with manual
%bcond_without repolib

%define reltag patch-01
%define namedversion %{version}-%{reltag}
%define repodir %{_javadir}/repository.jboss.com/apache-xerces/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define cvs_version        2_9_1
%define section            free
%if %with gcj_support
%define gcj_support        1
%else
%define gcj_support        0
%endif

Name:           xerces-j2
Version:        2.9.1
Release:        3.patch01.1%{?dist}
Epoch:          0
Summary:        Java XML parser
License:        ASL 2.0
URL:            http://xerces.apache.org/xerces2-j/
Group:          Text Processing/Markup/XML
# svn export https://svn.apache.org/repos/asf/xerces/java/tags/Xerces-J_2_9_1/
Source0:        http://www.apache.org/dist/xml/xerces-j/Xerces-J-src.%{version}.tar.bz2
Source3:        %{name}-version.sh
Source4:        %{name}-constants.sh
Source5:        %{name}-component-info.xml
# pom.xml source: https://repository.jboss.org/nexus/index.html#nexus-search;quick
Source6:        xercesImpl-2.9.1.pom
Source7:        xml-apis-2.9.1.pom
Source8:        resolver-2.9.1.pom
Patch0:         %{name}-build.patch
Patch1:         %{name}-libgcj.patch
Patch2:         %{name}-CVE-2009-2625.patch

Provides:       jaxp_parser_impl
Obsoletes:      xerces-j2-dom3 < %{epoch}:%{version}-%{release}
Provides:       xerces-j2-dom3 = %{epoch}:%{version}-%{release}

Requires:       xalan-j2
Requires:       xml-commons-jaxp-1.3-apis >= 0:1.3.04
Requires:       xml-commons-resolver12 >= 0:1.3.04
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
BuildRequires:  ant >= 0:1.5
BuildRequires:  java-devel >= 0:1.5
#BuildRequires:  java-fonts
BuildRequires:  jaxp_parser_impl
BuildRequires:  xalan-j2
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xml-commons-resolver12 >= 0:1.3
#BuildRequires:  xml-stylebook
%if %{with_repolib}
BuildRequires:  xml-commons-repolib 
%endif
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Welcome to the future! Xerces2 is the next generation of high
performance, fully compliant XML parsers in the Apache Xerces family.
This new version of Xerces introduces the Xerces Native Interface (XNI),
a complete framework for building parser components and configurations
that is extremely modular and easy to program.

The Apache Xerces2 parser is the reference implementation of XNI but
other parser components, configurations, and parsers can be written
using the Xerces Native Interface. For complete design and
implementation documents, refer to the XNI Manual.

Xerces 2 is a fully conforming XML Schema processor. For more
information, refer to the XML Schema page.

Xerces 2 also provides a partial implementation of Document Object Model
Level 3 Core, Load and Save and Abstract Schemas [deprecated] Working
Drafts. For more information, refer to the DOM Level 3 Implementation
page.

%if %{with_repolib}
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc-impl
Summary:        Javadoc for %{name} implementation
Group:          Development/Documentation

%description javadoc-impl
Javadoc for %{name} implementation.

%package javadoc-apis
Summary:        Javadoc for %{name} apis
Group:          Development/Documentation
Obsoletes:      xerces-j2-dom3-javadoc < %{epoch}:%{version}-%{release}
Provides:       xerces-j2-dom3-javadoc = %{epoch}:%{version}-%{release}

%description javadoc-apis
Javadoc for %{name} apis.

%package javadoc-xni
Summary:        Javadoc for %{name} xni
Group:          Development/Documentation

%description javadoc-xni
Javadoc for %{name} xni.

%package javadoc-other
Summary:        Javadoc for other %{name} components
Group:          Development/Documentation

%description javadoc-other
Javadoc for other %{name} components.

%if %with manual
%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.
%endif

%package demo
Summary:        Demo for %{name}
Group:          Development/Testing
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%package scripts
Summary:        Additional utility scripts for %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils >= 0:1.6

%description scripts
Additional utility scripts for %{name}.

%prep
%setup -q -n Xerces-J_%{cvs_version}

%{_bindir}/find -name '*.jar' -o -name '*.class' | %{_bindir}/xargs -t rm

mkdir -p tools/org/apache/xerces/util
cp -p tools/src/XJavac.java tools/org/apache/xerces/util/XJavac.java
cp -p tools/src/ExperimentalTaglet.java tools/org/apache/xerces/util/ExperimentalTaglet.java
cp -p tools/src/InternalTaglet.java tools/org/apache/xerces/util/InternalTaglet.java

mkdir -p tools/bin

%patch0 -p1 -b .build
%patch1 -p0 -b .libgcj
%patch2 -p0 -b .cve-2009-2625

%build
pushd tools
%{javac} -classpath $(build-classpath ant) org/apache/xerces/util/XJavac.java
%{jar} cf bin/xjavac.jar org/apache/xerces/util/XJavac.class
%{javac} -classpath %{java_home}/lib/tools.jar org/apache/xerces/util/ExperimentalTaglet.java org/apache/xerces/util/InternalTaglet.java
%{jar} cf bin/xerces2taglets.jar org/apache/xerces/util/ExperimentalTaglet.class org/apache/xerces/util/InternalTaglet.class
popd

export ANT_OPTS="-Djava.awt.headless=true"
export CLASSPATH=$(build-classpath xalan-j2-serializer):%{java_home}/jre/lib/rt.jar
export OPT_JAR_LIST=:
%{ant} \
        -Dbuild.compiler=modern \
        -Dtools.dir=%{_javadir} \
        -Djar.apis=xml-commons-jaxp-1.3-apis.jar \
        -Djar.resolver=xml-commons-resolver12.jar \
        -Djar.serializer=xalan-j2-serializer.jar \
        clean jars javadocs \
%if %with manual
docs
%else

%endif

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/xercesImpl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *.jar; do ln -sf ${jar} dom3-${jar}; done)
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xercesImpl-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
%add_to_maven_depmap xerces xercesImpl %{namedversion} JPP xercesImpl
install -p -m 644 %{SOURCE6} %{buildroot}%{_datadir}/maven2/poms/JPP-xercesImpl.pom
sed -i 's/@VERSION@/%{namedversion}/g' %{buildroot}%{_datadir}/maven2/poms/JPP-xercesImpl.pom
%add_to_maven_depmap apache-xerces xml-apis %{namedversion} JPP xml-apis
install -p -m 644 %{SOURCE7} %{buildroot}%{_datadir}/maven2/poms/JPP-xml-apis.pom
sed -i 's/@VERSION@/%{namedversion}/g' %{buildroot}%{_datadir}/maven2/poms/JPP-xml-apis.pom
%add_to_maven_depmap apache-xerces resolver %{namedversion} JPP resolver
install -p -m 644 %{SOURCE8} %{buildroot}%{_datadir}/maven2/poms/JPP-resolver.pom
sed -i 's/@VERSION@/%{namedversion}/g' %{buildroot}%{_datadir}/maven2/poms/JPP-resolver.pom

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-impl-%{version}
cp -pr build/docs/javadocs/xerces2/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-impl-%{version}
ln -s %{name}-impl-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-impl

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis-%{version}
cp -pr build/docs/javadocs/api/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis-%{version}
ln -s %{name}-apis-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-apis

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-xni-%{version}
cp -pr build/docs/javadocs/xni/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-xni-%{version}
ln -s %{name}-xni-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-xni

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-other-%{version}
cp -pr build/docs/javadocs/other/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-other-%{version}
ln -s %{name}-other-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-other

# FIXME: (dwalluck): breaks -bi --short-circuit
rm -rf build/docs/javadocs

%if %with manual
# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%if !%{gcj_support}
cp -pr build/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%endif
%endif

# scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-version
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/%{name}-constants

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p build/xercesSamples.jar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-samples.jar
cp -pr data $RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{with_repolib}
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i "s/@VERSION@/%{version}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/xercesImpl.jar
cp -p %{buildroot}%{_datadir}/maven2/poms/JPP-xercesImpl.pom %{buildroot}%{repodirlib}/xercesImpl.pom
cp -p %{_javadir}/repository.jboss.com/apache-xml-commons/1.3.04-brew/lib/resolver.jar $RPM_BUILD_ROOT%{repodirlib}/resolver.jar
cp -p %{SOURCE8} %{buildroot}%{repodirlib}/resolver.pom
sed -i 's/@VERSION@/%{namedversion}/g' %{buildroot}%{repodirlib}/resolver.pom
cp -p %{_javadir}/repository.jboss.com/apache-xml-commons/1.3.04-brew/lib/xml-apis.jar $RPM_BUILD_ROOT%{repodirlib}/xml-apis.jar
cp -p %{SOURCE7} %{buildroot}%{repodirlib}/xml-apis.pom
sed -i 's/@VERSION@/%{namedversion}/g' %{buildroot}%{repodirlib}/xml-apis.pom
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/update-alternatives --install %{_javadir}/jaxp_parser_impl.jar \
  jaxp_parser_impl %{_javadir}/%{name}.jar 40
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%preun
{
  [ $1 = 0 ] || exit 0
  %{_sbindir}/update-alternatives --remove jaxp_parser_impl %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

%if %{gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%post demo
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi

%postun demo
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE LICENSE-SAX.html LICENSE.DOM-documentation.html
%doc LICENSE.DOM-software.html LICENSE.resolver.txt
%doc LICENSE.serializer.txt NOTICE NOTICE.resolver.txt
%doc NOTICE.serializer.txt README Readme.html
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/dom3-%{name}-%{version}.jar
%{_javadir}*/dom3-%{name}.jar
%{_javadir}*/xercesImpl-%{version}.jar
%{_javadir}*/xercesImpl.jar
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}/%{name}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/xercesImpl.jar.db
%attr(-,root,root) %{_libdir}/gcj/%{name}/xercesImpl.jar.so
%endif

%files javadoc-impl
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-impl-%{version}
%{_javadocdir}/%{name}-impl

%files javadoc-apis
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-apis-%{version}
%{_javadocdir}/%{name}-apis

%files javadoc-other
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-other-%{version}
%{_javadocdir}/%{name}-other

%files javadoc-xni
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-xni-%{version}
%{_javadocdir}/%{name}-xni

%if %with manual
%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/
%endif

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-samples.jar.db
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-samples.jar.so
%endif

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/xerces-j2-constants
%{_bindir}//xerces-j2-version

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Mar 22 2011 Hui Wang <huwang@redhat.com> - 0:2.9.1-3.patch01.1
- Sync with JB-EAP-5-RHEL-6

* Thu Jun 10 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.9.1-2.3.1
- merge witih RHEL4

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.9.1-2.2_patch_01.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.9.1-2.2_patch_01.2
- Rebuild

* Tue Dec 08 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-2.2_patch_01.1
- fix options

* Tue Oct 06 2009 Permaine Cheung <pcheung@redhat.com> 0:2.9.1-2.2_patch_01
- Add patch for CVE-2009-2625

* Tue Jun 09 2009 Martha Benitez <mbenitez@redhat.com> 0:2.9.1-2.1
- Comment out BR  java-fonts

* Tue Jan 13 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-2
- BuildRequires: xml-commons-repolib = 0:1.3.04

* Wed Jan 07 2009 David Walluck <dwalluck@redhat.com> 0:2.9.1-1
- 2.9.1

* Tue Aug 12 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-12
- add apache-xml-commons 1.3.04 as compatible

* Wed May 28 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-11.jpp5
- sync with 10jpp
- own %%{_libdir}/gcj/%{name}
- remove javadoc scriptlets
- proper %%doc
- remove incorrect requirement on gnu-crypto
- use %%{javac} macro
- fix eol of NOTICE
- fix License
- fix Obsoletes/Provides for xerces-j2-dom3{,-javadoc}
- fix macro in %%changelog
- fix xml-commons-resolver dependency
- remove Vendor and Distribution tags

* Sat Apr 12 2008 David Walluck <dwalluck@redhat.com> 0:2.7.1-9jpp.ep1.2
- add xalan-j2-serializer to CLASSPATH
- BuildRequires: java-fonts

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:2.7.1-9jpp.ep1.1
- New repolib location

* Fri Feb 23 2007 Matt Wringe <mwringe@redhat.com> 0:2.7.1-9jpp.el4ep1.2
- Change requirement of jaxp_parset_impl to xerces-j2 to prevent crimson
  from being used (crimson will cause the build to fail).

* Fri Feb 23 2007 Matt Wringe <mwringe@redhat.com> 0:2.7.1-9jpp.el4ep1.1
- First EP build
- Add repolib option

* Fri Feb 09 2007 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-9jpp
- Add option to bootstrap without xml-stylesheet nor xalan
- Restore -manual subpackage when not bootstrap and with xml-stylesheet

* Tue Aug 15 2006 Matt Wringe <mwringe at redhat.com< 0:2.7.1-8jpp
- Fixed requires typo

* Sat Aug 12 2006 Matt Wringe <mwringe at redhat.com> 0:2.7.1-7jpp
- Add conditional native compiling
- Add missing requires for javadocs
- Add missing requires for post and preun
- Update version to 7jpp at Fedora's request

* Thu Mar 30 2006 Fernando Nasser <fnasser@redhat.com> 0:2.7.1-3jpp
- Add missing BR for xml-stylebook

* Wed Mar 22 2006 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-2jpp
- First JPP-1.7 release
- use tools subdir and give it as java.endorsed.dirs (for java-1.4.2-bea e.g.)

* Fri Oct 07 2005 Ralph Apel <r.apel at r-apel.de> 0:2.7.1-1jpp
- Upgrade to 2.7.1

* Thu Jul 21 2005 Ralph Apel <r.apel at r-apel.de> 0:2.6.2-7jpp
- Include target jars-dom3
- Create new subpackage dom3

* Wed Jul 13 2005 Gary Benson <gbenson at redhat.com> 0:2.6.2-6jpp
- Build with Sun JDK (from <gareth.armstrong at hp.com>).

* Tue Jun 14 2005 Gary Benson <gbenson at redhat.com> 0:2.6.2-5jpp
- Remove the tools tarball, and build xjavac from source.
- Patch xjavac to fix the classpath under libgcj too.

* Thu Aug 26 2004 Ralph Apel <r.apel at r-apel.de> 0:2.6.2-4jpp
- Build with ant-1.6.2
- Dropped jikes requirement, built for 1.4.2

* Wed Jun 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-3jpp
- Updated Patch #0 to fix breakage using BEA 1.4.2 SDK, new patch
  from <mwringe@redhat.com> and <vivekl@redhat.com>.

* Mon Mar 29 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-2jpp
- Rebuilt with jikes 1.18 for java 1.3.1_11

* Tue Mar 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.6.2-1jpp
- 2.6.2

* Sun Feb 08 2004 David Walluck <david@anti-microsoft.org> 0:2.6.1-1jpp
- 2.6.1
- update Source0 URL
- now requires xml-commons-resolver

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:2.6.0-1jpp
- Update to 2.6.0
- Patch #1 (xerces-j2-manifest.patch) is unnecessary (upstream)

* Tue Oct 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.5.0-1jpp
- Update to 2.5.0.
- Clean up versionless javadoc dir symlinking, own (ghost) the symlinks.
- Mark javadocs as %%doc.

* Wed Jun  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.4.0-3jpp
- Own (ghost) %%{_javadir}/jaxp_parser_impl.jar.
- Remove alternatives in preun instead of postun.

* Mon May 12 2003 David Walluck <david@anti-microsoft.org> 0:2.4.0-2jpp
- bug #17325 fixed upstream

* Mon May 12 2003 David Walluck <david@anti-microsoft.org> 0:2.4.0-1jpp
- 2.4.0
- BuildRequires: jikes
- update for JPackage 1.5
- re-diff'ed build patch for 2.4.0
- bug #17325 handled by perl now
- scripts: s|find-jar|build-classpath| and don't test for java-functions

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 2.3.0-2jpp
- For jpackage-utils 1.5
- zapped manual, since it doesn't want to build
- as a consequence, removed uneeded dependencies

* Mon Feb 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.3.0-1jpp
- Update to 2.3.0.
- Add a crude patch to work around invalid XML in doc sources, see
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=17325>.
- Built with IBM's 1.3.1 SR3.

* Sat Dec 28 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.2.1-2jpp
- Add upstream patch which fixes problems with Tomcat's webapps.
  <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=13282>
  <http://marc.theaimsgroup.com/?l=xerces-cvs&m=103791990130308>
- Separate scripts subpackage.

* Fri Nov 15 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.2.1-1jpp
- Update to 2.2.1.
- Change alternative to point to non-versioned jar.
- Don't remove alternative on upgrade.
- Fix Group tag for demo, javadoc and manual subpackages.
- Add version and constants scripts.
- Some spec file cleanup.

* Sun Oct  6 2002 Ville Skyttä <ville.skytta at iki.fi> 2.2.0-2jpp
- Fix bad permissions for main jar.

* Sun Sep 29 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-1jpp
- Update to 2.2.0.

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-2jpp
- Rebuild with -Dcompiler=modern, not a Jikes bug this time, but sloppy code
  that is tolerated by javac.  See <http://www-124.ibm.com/developerworks/bugs/?func=detailbug&bug_id=3218&group_id=10> for details.

* Tue Sep 10 2002 Ville Skyttä <ville.skytta at iki.fi> 2.1.0-1jpp
- 2.1.0.
- Updated description.
- Changed javadoc and manual group to Documentation.
- Spec file cleanups.

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-4jpp
- add BuildRequires xerces-j1 and xalan-j2
- removed BuildRequires xml-commons-api since ant require jaxp_parser_impl
  which in turn require xml-commons-api ;)

* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-3jpp 
- vendor, distribution, group tags
- provides jaxp_parser_impl
- dropped api jar
- renamed lone jar to %%{name}.jar
- priority bumped to 40
- fixed stylebook build (add xerces-j1 in classpath)

* Wed Jun 26 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.2-2jpp
- rebuild for missing symlinks
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Mon Jun 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.2-1jpp
- 2.0.2

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.1-1jpp 
- 2.0.1
- provides jaxp_parser2 virtual resource
- drop wrapper

* Sun Feb 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.0-1jpp 
- first JPackage release
